Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Predefined_Type Class Reference

****************************************************************. More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Predefined_Type:

[legend]
Collaboration diagram for TAO_PSDL_Predefined_Type:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Predefined_Type (int type_one)
| ****************************************************************. More...
| TAO_PSDL_Predefined_Type (int type_one, int type_two)
| TAO_PSDL_Predefined_Type (int type_one, int type_two, int type_three)
| TAO_PSDL_Predefined_Type (int type_one, TAO_PSDL_Node *type_of_variable_one)
| TAO_PSDL_Predefined_Type (TAO_PSDL_Node *type_of_variable_one)
| TAO_PSDL_Predefined_Type (int type_one, TAO_PSDL_Node *type_of_variable_one, TAO_PSDL_Node *type_of_variable_two)
| TAO_PSDL_Predefined_Type (TAO_PSDL_Node *type_of_variable_one, TAO_PSDL_Node *type_of_variable_two)
| TAO_PSDL_Predefined_Type (TAO_PSDL_Node *type_of_variable_one, TAO_PSDL_Node *type_of_variable_two, TAO_PSDL_Node *type_of_variable_three)
virtual | ~TAO_PSDL_Predefined_Type (void)
int | type_one (void) const
| Get the value. More...
int | type_two (void) const
int | type_three (void) const
TAO_PSDL_Node * | type_of_variable_one (void) const
TAO_PSDL_Node * | type_of_variable_two (void) const
TAO_PSDL_Node * | type_of_variable_three (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
int | type_one_
| The values. More...
int | type_two_
int | type_three_
TAO_PSDL_Node * | type_of_variable_one_
TAO_PSDL_Node * | type_of_variable_two_
TAO_PSDL_Node * | type_of_variable_three_

## Detailed Description

****************************************************************.

## Constructor & Destructor Documentation

TAO_PSDL_Predefined_Type::TAO_PSDL_Predefined_Type | ( | int | type_one | ) |

| ****************************************************************.

TAO_PSDL_Predefined_Type::TAO_PSDL_Predefined_Type | ( | int | type_one,
|  | int | type_two
| ) |

TAO_PSDL_Predefined_Type::TAO_PSDL_Predefined_Type | ( | int | type_one,
|  | int | type_two,
|  | int | type_three
| ) |

TAO_PSDL_Predefined_Type::TAO_PSDL_Predefined_Type | ( | int | type_one,
|  | TAO_PSDL_Node * | type_of_variable_one
| ) |

TAO_PSDL_Predefined_Type::TAO_PSDL_Predefined_Type | ( | TAO_PSDL_Node * | type_of_variable_one | ) |

TAO_PSDL_Predefined_Type::TAO_PSDL_Predefined_Type | ( | int | type_one,
|  | TAO_PSDL_Node * | type_of_variable_one,
|  | TAO_PSDL_Node * | type_of_variable_two
| ) |

TAO_PSDL_Predefined_Type::TAO_PSDL_Predefined_Type | ( | TAO_PSDL_Node * | type_of_variable_one,
|  | TAO_PSDL_Node * | type_of_variable_two
| ) |

TAO_PSDL_Predefined_Type::TAO_PSDL_Predefined_Type | ( | TAO_PSDL_Node * | type_of_variable_one,
|  | TAO_PSDL_Node * | type_of_variable_two,
|  | TAO_PSDL_Node * | type_of_variable_three
| ) |

TAO_PSDL_Predefined_Type::~TAO_PSDL_Predefined_Type | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Predefined_Type::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Predefined_Type::type_of_variable_one | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Predefined_Type::type_of_variable_three | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Predefined_Type::type_of_variable_two | ( | void |  | ) | const

int TAO_PSDL_Predefined_Type::type_one | ( | void |  | ) | const

| Get the value.

int TAO_PSDL_Predefined_Type::type_three | ( | void |  | ) | const

int TAO_PSDL_Predefined_Type::type_two | ( | void |  | ) | const

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Predefined_Type::type_of_variable_one_`[private]`

TAO_PSDL_Node* TAO_PSDL_Predefined_Type::type_of_variable_three_`[private]`

TAO_PSDL_Node* TAO_PSDL_Predefined_Type::type_of_variable_two_`[private]`

int TAO_PSDL_Predefined_Type::type_one_`[private]`

| The values.

int TAO_PSDL_Predefined_Type::type_three_`[private]`

int TAO_PSDL_Predefined_Type::type_two_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp